<!DOCTYPE html>
<html lang="en-US">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

    <title>Vue.js</title>

  <style type="text/css">
    .docs{
      margin: 0px;
      display: flex;
      flex-flow: column wrap;
      flex-wrap: wrap;
      height: 29em;
    }
    body>div{
      border: 1px solid grey;
      width: 13%;
      margin: 15px 1%;
      padding: 15px;
      flex: 0 0 auto;
    }
  </style>

</head>
  <body class="docs">
  	<div id="app">
  {{ message }}
</div>

<div id="app-2">
  <span v-bind:title="message">
    Hover your mouse over me for a few seconds
    to see my dynamically bound title!
  </span>
</div>

<div id="app-3">
  <span v-if="seen">Now you see me</span>
  <span v-if="unseen">Now you cntsee me</span>
</div>

<div id="app-4">
  <ol>
    <li v-for="todo in todos">
      {{ todo.text + todo.mass}}
    </li>
  </ol>
</div>

<div id="app-5">
  <p>{{ message }}</p>
  <button v-on:click="reverseMessage">Reverse Message</button>
</div>

<div id="app-6">
  <p>{{ message }}</p>
  <input v-model="message" v-on:click="clearPh">
</div>

<div id="app-7">
  <ol>
	<todo-item
		v-for="item in groceryList"
		v-bind:todo="item"
		v-bind:key="item.id">
	</todo-item>
  </ol>
</div>

<div id="appins">
  <p>{{ foo }}</p>
  <!-- this will no longer update `foo`! -->
  <button v-on:click="foo = 'baz'">Change it</button>
</div>

<div id="example">
  <p>Original message: "{{ message }}"</p>
  <p>Computed reversed message: "{{ reversedMessage }}"</p>
</div>

<div id="demo">{{firstName}} - name, fullname - {{ fullName }} </div>

<div>
<ul id="example-1">
  <li v-for="item in items">{{ item.text }}</li>
  <li v-for="item in items">{{ item.message }} {{ item.text }}</li>

</ul>
</div>

<div>
<ul id="example-2">
  <li v-for="(item, index) in items">
    {{ parentMessage }} - {{ index }} - {{ item.message }}
  </li>
</ul>
</div>

<div id="todo-list-example">
  <form v-on:submit.prevent="addNewTodo">
    <label for="new-todo">Add a todo</label>
    <input
      v-model="newTodoText"
      id="new-todo"
      placeholder="E.g. Feed the cat"
    >
    <button>Add</button>
  </form>
  <ul>
    <li
      is="todo-item"
      v-for="(todo, index) in todos"
      v-bind:key="todo.id"
      v-bind:title="todo.title"
      v-on:remove="todos.splice(index, 1)"
    ></li>
  </ul>
</div>

<div id="example-11">
  <button v-on:click="counter += 1">plus 1</button><button v-on:click="counter -= 1">minus 1</button>
  <p>The button above has been clicked  {{ counter }} times.</p>
</div>

<div id="example-3">
  <button v-on:click="say('hi')">Say hi</button>
  <button v-on:click="warn('what')">Say what</button>
</div>

<div  id="example-33">
	<input v-model="message" placeholder="edit me">
<p>Message is: {{ message }}</p>
<textarea v-model="message" placeholder="add multiple lines"></textarea>
</div>

  <script src="https://cdn.jsdelivr.net/npm/vue"></script>
    <script src="main.js"></script>

</body>
</html>


